Attribute deleted
Delete attribute
delete
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/attributes/{attributeId}
Response
200
Response
200
delete/v1/agents/{agentId}/branches/{branchId}/attributes/{attributeId}
Authentication
200
Update attribute
patch
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/attributes/{attributeId}
Body
application/json
Body
application/json
UpdateAttributeBody
* Additional properties are NOT allowed.
namestringrequired
>= 1 characters
Response
200 application/json
Response
200 application/json
Updated attribute
AttributeResponse
* Additional properties are NOT allowed.
idstringrequired
namestringrequired
patch/v1/agents/{agentId}/branches/{branchId}/attributes/{attributeId}
Authentication
Body
{
"name": "name"
}
200 application/json
List variants
get
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/variants
Response
200 application/json
Response
200 application/json
List of variants
GetVariantsResponse
* Additional properties are NOT allowed.
variantsarray[object]required
* Additional properties are NOT allowed.
Show Child Parameters
get/v1/agents/{agentId}/branches/{branchId}/variants
Authentication
200 application/json
Create variant
post
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/variants
Body
application/json
Body
application/json
CreateVariantBody
* Additional properties are NOT allowed.
namestringrequired
>= 1 characters
attributeValuesobject
Default:{"values":{}}
* Additional properties are NOT allowed.
Show Child Parameters
isDefaultboolean
Response
201 application/json
Response
201 application/json
Created variant
VariantResponse
* Additional properties are NOT allowed.
idstringrequired
namestringrequired
isDefaultbooleanrequired
attributeValuesobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
post/v1/agents/{agentId}/branches/{branchId}/variants
Authentication
Body
{
"name": "name"
}
201 application/json
Delete variant
delete
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/variants/{variantId}
Response
200
Response
200
Variant deleted
delete/v1/agents/{agentId}/branches/{branchId}/variants/{variantId}
Authentication
200